import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { SharedService } from '../../../../shared/service/shared.service';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../../shared/service/quiz.service';
import { SummaryBase } from '../summary-base';
import { SummaryData } from '../../../../shared/models';
export declare class GraphicOptionSummaryComponent extends SummaryBase implements OnInit, OnChanges {
    private quizService;
    sharedService: SharedService;
    _DomSanitizationService: DomSanitizer;
    isOnlineEngine: boolean;
    question: SummaryData;
    ngOnChanges(changes: SimpleChanges): void;
    constructor(quizService: QuizService, sharedService: SharedService, _DomSanitizationService: DomSanitizer);
    ngOnInit(): void;
    getAnswers(): boolean;
    loadImagePath(assetType: any, slide: any): any;
}
